/*
  Melody
 
 Plays a melody 
 
 circuit:
 * 8-ohm speaker on digital pin 8
 
 created 21 Jan 2010
 by Tom Igoe 
 
 http://arduino.cc/en/Tutorial/Tone
 
 mod by SaTa.
 */

#include "pz_data.h"
#include "pz.h"

#define LEDPIN 7     // どのピンからLEDをつなぐか
#define SWPIN 6      // スイッチをつなぐピン



int ledPin=LEDPIN;
int w=0;
int t=60;
float dt=0;
long i= 1;

void setup() {
//テンポを計算する
t=pz_data[0];

dt=60000/t/48 + 0.5;  // 1clockの時間

pinMode(SWPIN, INPUT);      // スイッチのピンを入力に
digitalWrite(SWPIN, HIGH);  // 内蔵プルアップ有効



}

void loop() {


  for (; ;i++) {
  if(pz_data[i*2]==0 && pz_data[i*2+1]==0)  {i=1;w=0;}
  
  ledPin=LEDPIN+(7*(w%192)/192);
    digitalWrite(ledPin, HIGH);   // set the LED on
  
     int noteDuration;
  
      noteDuration =  pz_data[i*2+1]*dt;  // 音の長さ
   
  if(digitalRead(SWPIN)==LOW)    // スイッチが入るとテンポアップ
  {
      noteDuration =  pz_data[i*2+1]*dt/4;  // 音の長さ
  }
  
      
      tone(14, pz_hz[pz_data[i*2]],noteDuration);
  
      int pauseBetweenNotes = noteDuration ;
      delay(pauseBetweenNotes);
  
    digitalWrite(ledPin, LOW);    // set the LED off
  
    w+=pz_data[i*2+1];
  
  }

}




